Bug 735945 - Error contacting user service when KatelloModule config line added
Summary: Error contacting user service when KatelloModule config line added
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 0.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 08:51 UTC by Lukas Zapletal
Modified: 2015-05-14 15:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-06 20:25:17 UTC


Attachments (Terms of Use)

Description Lukas Zapletal 2011-09-06 08:51:43 UTC
On adding the entry

module.config.katello=org.fedoraproject.candlepin.katello.KatelloModule

to /etc/candlepin/candlepin.conf

[root@localhost tomcat6]# curl -k -u admin:admin https://localhost:8443/candlepin/status
{"displayMessage":"Error contacting user service"}

# rpm -q katello candlepin
katello-0.1.76-1.git.0.abd2ee8.el6.noarch
candlepin-0.4.11-1.el6.noarch

Removing that line the error message disappears.

Comment 1 Bryan Kearney 2011-09-06 12:09:16 UTC
Would you expect this api to work?

-- bk

Comment 2 Jan Pazdziora 2011-09-06 12:21:07 UTC
(In reply to comment #1)
> Would you expect this api to work?

That's what the step three in

   https://fedorahosted.org/katello/wiki/Install#Candlepin

leads users to believe. Either the code is broken or the documentation is wrong.

Comment 3 Lukas Zapletal 2011-10-06 20:25:17 UTC
When oauth is enabled on the Candlepin it does not support HTTP authentication. I have submitted a patch with nicer error message. I think we can close this one.

We need to keep this line. Please reopen if you think this is still an issue.


Note You need to log in before you can comment on or make changes to this bug.